Index: netbsd.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/backend/port/dynloader/netbsd.c,v
retrieving revision 1.22
diff -c -r1.22 netbsd.c
*** netbsd.c    1 Jan 2008 19:45:51 -0000       1.22
--- netbsd.c    5 Mar 2008 19:10:33 -0000
***************
*** 57,63 ****
  void *
  BSD44_derived_dlopen(const char *file, int num)
  {
! #if defined(__mips__)
        snprintf(error_message, sizeof(error_message),
                         "dlopen (%s) not supported", file);
        return NULL;
--- 57,63 ----
  void *
  BSD44_derived_dlopen(const char *file, int num)
  {
! #if !defined(HAVE_DLOPEN)
        snprintf(error_message, sizeof(error_message),
                         "dlopen (%s) not supported", file);
        return NULL;
***************
*** 74,80 ****
  void *
  BSD44_derived_dlsym(void *handle, const char *name)
  {
! #if defined(__mips__)
        snprintf(error_message, sizeof(error_message),
                         "dlsym (%s) failed", name);
        return NULL;
--- 74,80 ----
  void *
  BSD44_derived_dlsym(void *handle, const char *name)
  {
! #if !defined(HAVE_DLOPEN)
        snprintf(error_message, sizeof(error_message),
                         "dlsym (%s) failed", name);
        return NULL;
***************
*** 99,105 ****
  void
  BSD44_derived_dlclose(void *handle)
  {
! #if defined(__mips__)
  #else 
        dlclose(handle);
  #endif
--- 99,105 ----
  void
  BSD44_derived_dlclose(void *handle)
  {
! #if !defined(HAVE_DLOPEN)
  #else 
        dlclose(handle);
  #endif
  